# TextActivity

User text activity

| Field            |                                                                                                               Argument | Type                                                              | Description |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------: | ----------------------------------------------------------------- | ----------- |
| **id**           |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the activity                                            |             |
| **userId**       |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The user id of the activity's creator                             |             |
| **type**         |        [ActivityType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/activitytype/README.md) | The type of activity                                              |             |
| **replyCount**   |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The number of activity replies                                    |             |
| **text**         |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The status text (Markdown)                                        |             |
| asHtml           |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown          |             |
| **siteUrl**      |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the activity page on the AniList website              |             |
| **isLocked**     |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the activity is locked and can receive replies                 |             |
| **isSubscribed** |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user is subscribed to the activity |             |
| **likeCount**    |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The amount of likes the activity has                              |             |
| **isLiked**      |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user liked the activity            |             |
| **isPinned**     |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the activity is pinned to the top of the users activity feed   |             |
| **createdAt**    |                       [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time the activity was created at                              |             |
| **user**         |                      [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user who created the activity                                 |             |
| **replies**      | \[[ActivityReply](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/activityreply/README.md)] | The written replies to the activity                               |             |
| **likes**        |                   \[[User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md)] | The users who liked the activity                                  |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/textactivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
